#pragma once

#include "../../../GAME_COMMON.h"
#include "../../ecs_entity.h"

typedef struct ComponentRedirects
{
	ECSComponent component;
	u32 value;
	u32 max;
	bool isOut;
} ComponentRedirects;

void component_redirects_init(ComponentRedirects* self, u32 max);
void component_redirects_tick(ComponentRedirects* self, ECS* ecs);

static const ECSComponentInfo COMPONENT_REDIRECTS_INFO = 
{
	.system = 
	{
		.functions = 
		{ 
			NULL,
			NULL, 
			(ECSFunction)component_redirects_tick,
			NULL
		}
	},
	.type = ECS_COMPONENT_REDIRECTS,
	.size = sizeof(ComponentRedirects)
};


